Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025330
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POScriticalhave not tried2013-12-13 09:562014-01-22 17:28
ReporteradrianromeroView Statuspublic 
Assigned Toadrianromero 
PriorityurgentResolutionfixedFixed in VersionRMP30
StatusclosedFix in branchFixed in SCM revisiona16cc9cc19d7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025330: Cannot enter the counted cash amount In the cash up process

DescriptionWith a clean instance filled in with the sample data, when executing the cashup method,in the Count Cash step there is not possible to enter counted cash amount because there are not any denominations for Euros.
Steps To Reproduce* Open a clean instance of Web POS with just the sample data
* Go to the cash up process and in the Count cash step for cash in Euros you will see that there are no denominations and for instance is not possible to enter any amount.
Proposed SolutionFill in denominations data for Euros in Web POS sample data or code a default for Euros like in the current payment method for cash in Euros.
TagsNo tags attached.
Attached Filespng file icon Pantallazo-Openbravo POS - Google Chrome-1.png [^] (214,198 bytes) 2013-12-13 09:56

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062727)
hgbot (developer)
2013-12-13 14:20

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: a16cc9cc19d7d79464c7374afabd706ec1dd0a42
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Fri Dec 13 14:19:24 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a16cc9cc19d7d79464c7374afabd706ec1dd0a42 [^]

Fixes issue 0025330: Cannot enter the counted cash amount In the cash up process
It has been added a default denominations collection for euros

---
M web/org.openbravo.retail.posterminal/js/closecash/view/tabcashpayments.js
---
(0062804)
hgbot (developer)
2013-12-19 11:19

Repository: erp/pmods/org.openbravo.retail.posterminal-warehouseselector
Changeset: a16cc9cc19d7d79464c7374afabd706ec1dd0a42
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Fri Dec 13 14:19:24 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/a16cc9cc19d7d79464c7374afabd706ec1dd0a42 [^]

Fixes issue 0025330: Cannot enter the counted cash amount In the cash up process
It has been added a default denominations collection for euros

---
M web/org.openbravo.retail.posterminal/js/closecash/view/tabcashpayments.js
---
(0062872)
migueldejuana (developer)
2013-12-19 15:56

Tested and reviewed in 3081:41fc0dc26414
(0062939)
hgbot (developer)
2013-12-19 19:56

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: a16cc9cc19d7d79464c7374afabd706ec1dd0a42
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Fri Dec 13 14:19:24 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/a16cc9cc19d7d79464c7374afabd706ec1dd0a42 [^]

Fixes issue 0025330: Cannot enter the counted cash amount In the cash up process
It has been added a default denominations collection for euros

---
M web/org.openbravo.retail.posterminal/js/closecash/view/tabcashpayments.js
---
(0063010)
guilleaer (developer)
2013-12-20 15:11

reclosed
(0063238)
hgbot (developer)
2014-01-07 15:38

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: a16cc9cc19d7d79464c7374afabd706ec1dd0a42
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Fri Dec 13 14:19:24 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/a16cc9cc19d7d79464c7374afabd706ec1dd0a42 [^]

Fixes issue 0025330: Cannot enter the counted cash amount In the cash up process
It has been added a default denominations collection for euros

---
M web/org.openbravo.retail.posterminal/js/closecash/view/tabcashpayments.js
---
(0063609)
guilleaer (developer)
2014-01-22 17:28

reclosing issues

- Issue History
Date Modified Username Field Change
2013-12-13 09:56 adrianromero New Issue
2013-12-13 09:56 adrianromero Assigned To => adrianromero
2013-12-13 09:56 adrianromero File Added: Pantallazo-Openbravo POS - Google Chrome-1.png
2013-12-13 09:56 adrianromero Triggers an Emergency Pack => No
2013-12-13 14:20 hgbot Checkin
2013-12-13 14:20 hgbot Note Added: 0062727
2013-12-13 14:20 hgbot Status new => resolved
2013-12-13 14:20 hgbot Resolution open => fixed
2013-12-13 14:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a16cc9cc19d7d79464c7374afabd706ec1dd0a42 [^]
2013-12-13 14:20 hgbot Checkin
2013-12-13 14:20 hgbot Note Added: 0062728
2013-12-13 14:20 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a16cc9cc19d7d79464c7374afabd706ec1dd0a42 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/a16cc9cc19d7d79464c7374afabd706ec1dd0a42 [^]
2013-12-13 14:21 adrianromero Note Deleted: 0062728
2013-12-19 11:19 hgbot Checkin
2013-12-19 11:19 hgbot Note Added: 0062804
2013-12-19 11:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/a16cc9cc19d7d79464c7374afabd706ec1dd0a42 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/a16cc9cc19d7d79464c7374afabd706ec1dd0a42 [^]
2013-12-19 15:56 migueldejuana Review Assigned To => migueldejuana
2013-12-19 15:56 migueldejuana Note Added: 0062872
2013-12-19 15:56 migueldejuana Status resolved => closed
2013-12-19 15:56 migueldejuana Fixed in Version => RMP30
2013-12-19 19:56 hgbot Checkin
2013-12-19 19:56 hgbot Note Added: 0062939
2013-12-19 19:56 hgbot Status closed => resolved
2013-12-19 19:56 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/a16cc9cc19d7d79464c7374afabd706ec1dd0a42 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/a16cc9cc19d7d79464c7374afabd706ec1dd0a42 [^]
2013-12-20 15:11 guilleaer Note Added: 0063010
2013-12-20 15:11 guilleaer Status resolved => closed
2014-01-07 15:38 hgbot Checkin
2014-01-07 15:38 hgbot Note Added: 0063238
2014-01-07 15:38 hgbot Status closed => resolved
2014-01-07 15:38 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/a16cc9cc19d7d79464c7374afabd706ec1dd0a42 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/a16cc9cc19d7d79464c7374afabd706ec1dd0a42 [^]
2014-01-22 17:28 guilleaer Note Added: 0063609
2014-01-22 17:28 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker